Name:     	mono-addins
Version:	1.0
Release:	%mkrel 2
License:	MIT
BuildArch:      noarch
URL:		http://www.go-mono.com
Source0:	https://github.com/mono/mono-addins/archive/%{name}-%{name}-%{version}.tar.gz
Patch0:		%{name}-0.6.2-sdk4.patch
Patch1:		%{name}-1.0-mono-cairo.patch
BuildRequires:	mono-devel gtk-sharp2
Summary:	Mono Addins
Group:		Development/Other

%description
Mono Addin Support

%package devel
Summary: Development files for %name
Group: Development/Other
Requires: %name = %version-%release

%description devel
Mono Addin Support - development files and tools
	  
%prep
%setup -q -n %{name}-%{name}-%{version}
%patch1 -p1 -b .monocairo

%build
./autogen.sh
./configure --prefix=%_prefix
#gw parallel make broken in 0.4
%make

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%_datadir/pkgconfig
mv $RPM_BUILD_ROOT%_prefix/lib*/pkgconfig/*.pc $RPM_BUILD_ROOT%_datadir/pkgconfig

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-, root, root)
%_bindir/mautil
%_mandir/man1/mautil.1*
%_prefix/lib/mono/mono-addins/mautil.exe

%_prefix/lib/mono/gac/Mono.Addins
%_prefix/lib/mono/gac/policy.0.2.Mono.Addins
%_prefix/lib/mono/gac/policy.0.3.Mono.Addins
%_prefix/lib/mono/gac/policy.0.5.Mono.Addins
%_prefix/lib/mono/gac/policy.0.6.Mono.Addins
%_prefix/lib/mono/mono-addins/Mono.Addins.dll

%_prefix/lib/mono/gac/Mono.Addins.CecilReflector/
%_prefix/lib/mono/gac/policy.0.2.Mono.Addins.CecilReflector/
%_prefix/lib/mono/gac/policy.0.3.Mono.Addins.CecilReflector/
%_prefix/lib/mono/gac/policy.0.5.Mono.Addins.CecilReflector/
%_prefix/lib/mono/gac/policy.0.6.Mono.Addins.CecilReflector/
%_prefix/lib/mono/mono-addins/Mono.Addins.CecilReflector.dll

%_prefix/lib/mono/gac/Mono.Addins.Setup
%_prefix/lib/mono/gac/policy.0.2.Mono.Addins.Setup
%_prefix/lib/mono/gac/policy.0.3.Mono.Addins.Setup
%_prefix/lib/mono/gac/policy.0.5.Mono.Addins.Setup
%_prefix/lib/mono/gac/policy.0.6.Mono.Addins.Setup
%_prefix/lib/mono/mono-addins/Mono.Addins.Setup.dll

%_prefix/lib/mono/gac/Mono.Addins.Gui
%_prefix/lib/mono/gac/policy.0.2.Mono.Addins.Gui
%_prefix/lib/mono/gac/policy.0.3.Mono.Addins.Gui
%_prefix/lib/mono/gac/policy.0.4.Mono.Addins
%_prefix/lib/mono/gac/policy.0.4.Mono.Addins.CecilReflector
%_prefix/lib/mono/gac/policy.0.4.Mono.Addins.Gui
%_prefix/lib/mono/gac/policy.0.5.Mono.Addins.Gui
%_prefix/lib/mono/gac/policy.0.6.Mono.Addins.Gui
%_prefix/lib/mono/gac/policy.0.4.Mono.Addins.Setup
%_prefix/lib/mono/mono-addins/Mono.Addins.Gui.dll

%files devel
%defattr(-, root, root)
%_datadir/pkgconfig/*.pc
#gw these depend on stuff in libmono-devel:
%_prefix/lib/mono/gac/Mono.Addins.MSBuild
%_prefix/lib/mono/gac/policy.0.2.Mono.Addins.MSBuild
%_prefix/lib/mono/gac/policy.0.3.Mono.Addins.MSBuild
%_prefix/lib/mono/gac/policy.0.4.Mono.Addins.MSBuild
%_prefix/lib/mono/gac/policy.0.5.Mono.Addins.MSBuild
%_prefix/lib/mono/gac/policy.0.6.Mono.Addins.MSBuild
%_prefix/lib/mono/mono-addins/Mono.Addins.MSBuild.dll



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0-2.mga4
+ Revision: 529947
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 matteo <matteo> 1.0-1.mga4
+ Revision: 454316
- new version 1.0
- patch1 to add Mono.Cairo assembly version to the Mono.Addins.Gui project (csproj)

* Tue Jul 09 2013 matteo <matteo> 0.6.2-3.mga4
+ Revision: 452236
- added patch0 to fix compilation errors with mono 3.0.12

* Sat Jan 12 2013 umeabot <umeabot> 0.6.2-2.mga3
+ Revision: 360234
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 28 2011 fwang <fwang> 0.6.2-1.mga2
+ Revision: 149798
- new version 0.6.2
- new version 0.6.1

* Thu Mar 03 2011 ennael <ennael> 0.6-1.mga1
+ Revision: 63659
- imported package mono-addins


* Wed Mar 02 2011 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2011.0
+ Revision: 641224
- new version
- update file list

* Mon Aug 09 2010 Götz Waschk <waschk@mandriva.org> 0.5-2mdv2011.0
+ Revision: 567954
- split out devel package
- move libraries that depend on mono-devel to the devel package

* Tue Jul 20 2010 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2011.0
+ Revision: 555692
- new version
- fix license
- update source URL
- update file list

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4-3mdv2010.1
+ Revision: 523356
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.4-2mdv2010.0
+ Revision: 426163
- rebuild

* Wed Jan 14 2009 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2009.1
+ Revision: 329401
- new version
- disable parallel make
- update file list

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.3.1-2mdv2009.0
+ Revision: 223302
- rebuild

* Tue Feb 19 2008 Götz Waschk <waschk@mandriva.org> 0.3.1-1mdv2008.1
+ Revision: 172953
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2008.1
+ Revision: 133888
- import mono-addins


* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2008.1
- initial package
